#
# spec file for package typescript
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:                typescript
Version:             2.2.1
Release:             lp152.3.3
License:             Apache-2.0
Summary:             A language for application scale JavaScript development
URL:                 http://typescriptlang.org/
Group:               Development/Libraries/Other
Source0:             http://registry.npmjs.org/%{name}/-/%{name}-%{version}.tgz
BuildRequires:       nodejs-packaging
BuildRequires:       fdupes
BuildRoot:           %{_tmppath}/%{name}-%{version}-build
BuildArch:           noarch
%{?nodejs_requires}

%description
TypeScript is a language for application-scale JavaScript. TypeScript adds
optional types, classes, and modules to JavaScript. TypeScript supports tools
for large-scale JavaScript applications for any browser, for any host, on any
OS. TypeScript compiles to readable, standards-based JavaScript.

%prep
%setup -q -n package

%build

%install
sed -i 's/\r$//' ThirdPartyNoticeText.txt
sed -i 's/\r$//' README.md
sed -i 's/\r$//' LICENSE.txt
sed -i 's/\r$//' CopyrightNotice.txt
%nodejs_install

%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc ThirdPartyNoticeText.txt README.md LICENSE.txt CopyrightNotice.txt
%dir %{nodejs_sitelib}
%{nodejs_sitelib}/%{name}
%{_bindir}/tsc
%{_bindir}/tsserver

%changelog
* Thu Mar 16 2017 carlos@techbyte.ca
- Updating to 2.2.1
* Thu Feb  9 2017 carlos@techbyte.ca
- Downgrading to 2.1.6
* Thu Feb  9 2017 carlos@techbyte.ca
- Bumping to 2.2.0
* Wed Feb  8 2017 carlos@techbyte.ca
- Renaming package
* Wed Feb  8 2017 carlos@techbyte.ca
- Initial release.
